.select {
    min-width: rem(125);
    position: relative;

    &__header {
        color: white;
        cursor: pointer;
        position: relative;
        height: rem(42);
        font-size: rem(12);
        line-height: rem(16);
        padding: rem(4) rem(12);
        border-radius: rem(4);
        background-color: #222;
        border: 1px solid #222;
        transition: var(--transition-time);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:after {
            content: '';
            font-size: 0;
            line-height: 0;
            width: rem(16);
            height: rem(16);
            display: block;
            background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNMTIuNjY2NiA2TDcuOTk5OTIgMTAuNjY2N0wzLjMzMzI1IDYnIHN0cm9rZT0nd2hpdGUnIHN0cm9rZS1saW5lY2FwPSdyb3VuZCcgc3Ryb2tlLWxpbmVqb2luPSdyb3VuZCcvPjwvc3ZnPg==");
            background-position: 50% 50%;
            background-repeat: no-repeat;
            background-size: cover;
        }

        &:hover {
     //       border-color: var(--orange);
        }
    }

    &__content {
        left: 0;
        color: var(--dark);
        min-width: 100%;
        padding: rem(16);
        border-radius: rem(4);
        background-color: white;
        top: calc(100% + 8px);
        position: absolute;
        opacity: 0;
        visibility: hidden;
    }

    &__scroll {
        margin-right: rem(-8);
        padding-right: rem(8);
        max-height: rem(168);
        overflow-x: hidden;
        overflow-y: auto;

        &::-webkit-scrollbar {
            width: 6px;
            height: 6px;
        }

        &::-webkit-scrollbar-thumb {
            background: var(--orange);
            border-radius: 5px;
        }

        &::-webkit-scrollbar-track {
            background-color: rgba(0, 0, 0, 0.1);
            border: 1px solid rgba(0, 0, 0, 0.1);
        }
    }

    &__list {
        display: grid;
        grid-row-gap: rem(8);
        grid-column-gap: rem(8);
        grid-template-columns: 1fr;
    }

    &__item {
        padding: rem(8);
        height: rem(36);
        cursor: pointer;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(16);
        border-radius: rem(4);
        color: var(--dark);
        text-decoration: none;
        border: 1px solid rgba(0, 0, 0, 0.2);
        transition: var(--transition-time);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &:hover {
            color: var(--dark);
            text-decoration: none;
            border-color: var(--orange-hover);
            transition: var(--transition-time);
        }

        &.active {
            border-color: var(--orange);
        }
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        display: inline-block;
        opacity: .6;
        flex-shrink: 0;
    }

    &--gray {

        .select {

            &__header {
                background-color: #353535;
                border: 1px solid #353535;
            }
        }
    }

    &--md {

        .select {

            &__header {
                height: rem(52);
                padding: rem(4) rem(12);
            }
        }
    }

    &--icon {

        .select {

            &__header {

                &:after {
                    display: none;
                }
            }
        }
    }

    &.disabled {

        .select__header {
            cursor: default;
        }
    }

    &.active {

        .select {

            &__header {
                border-color: var(--orange);
            }
        }
    }

    &.open {
        z-index: 100;

        .select {

            &__header {

                &:after {
                    transform: rotate(180deg);
                }
            }

            &__icon {
                opacity: 1;
            }

            &__content {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    &--time {

        .select__header {
            border-color: var(--orange);
        }

        &.disabled {

            .select__header {
                border-color: #222 !important;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__list {

            &--row {
                grid-template-columns: 1fr 1fr;
            }
        }
    }
}
